image: eeacms/rsync
pages:
  variables:
      CI_DEBUG_TRACE: "false"
      DOCSIFY_BASE_PATH: "https://docs.themaptool.com"
  stage: deploy
  script:
    - rsync -avzh --exclude-from $CI_PROJECT_DIR/.rsync_exclude $CI_PROJECT_DIR/* $CI_PROJECT_DIR/public
    - mv $CI_PROJECT_DIR/public/_README.md $CI_PROJECT_DIR/public/README.md
  artifacts:
    paths:
    - public/
  only:
  - main
